#!/usr/bin/python
import sys, os, time
import asterisk.agi, asterisk.manager

def main():
	agi = asterisk.agi.AGI()
	agi.hangup()
	
	if os.fork():
		# parent process
		sys.exit(0)
	else:
		# child process
		os.setsid()
		os.close(sys.stdout.fileno())
		time.sleep(10)

if __name__ == '__main__':
	main()
